libnova v 0.15.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
ln_rect_posn Struct Reference

Rectangular coordinates. More...

## Data Fields
double | X
double | Y
double | Z

## Detailed Description

Rectangular coordinates.

Rectangular Coordinates of a body. These coordinates can be either geocentric or heliocentric.

A heliocentric position is an objects position relative to the centre of the Sun. A geocentric position is an objects position relative to the centre of the Earth.

Position is in units of AU for planets and in units of km for the Moon.

Examples:
  asteroid.c, comet.c, and lunar.c.

## Field Documentation

double ln_rect_posn::X

Rectangular X coordinate

Referenced by ln_get_ecl_from_rect(), ln_get_ell_body_earth_dist(), ln_get_ell_body_equ_coords(), ln_get_ell_body_solar_dist(), ln_get_ell_geo_rect_posn(), ln_get_ell_helio_rect_posn(), ln_get_hyp_body_earth_dist(), ln_get_hyp_body_equ_coords(), ln_get_hyp_body_solar_dist(), ln_get_hyp_geo_rect_posn(), ln_get_hyp_helio_rect_posn(), ln_get_jupiter_earth_dist(), ln_get_jupiter_equ_coords(), ln_get_lunar_earth_dist(), ln_get_lunar_ecl_coords(), ln_get_lunar_geo_posn(), ln_get_mars_earth_dist(), ln_get_mars_equ_coords(), ln_get_mercury_earth_dist(), ln_get_mercury_equ_coords(), ln_get_neptune_earth_dist(), ln_get_neptune_equ_coords(), ln_get_par_body_earth_dist(), ln_get_par_body_equ_coords(), ln_get_par_body_solar_dist(), ln_get_par_geo_rect_posn(), ln_get_par_helio_rect_posn(), ln_get_pluto_earth_dist(), ln_get_pluto_equ_coords(), ln_get_rect_from_helio(), ln_get_saturn_earth_dist(), ln_get_saturn_equ_coords(), ln_get_solar_geo_coords(), ln_get_uranus_earth_dist(), ln_get_uranus_equ_coords(), ln_get_venus_earth_dist(), and ln_get_venus_equ_coords().

double ln_rect_posn::Y

Rectangular Y coordinate

Referenced by ln_get_ecl_from_rect(), ln_get_ell_body_earth_dist(), ln_get_ell_body_equ_coords(), ln_get_ell_body_solar_dist(), ln_get_ell_geo_rect_posn(), ln_get_ell_helio_rect_posn(), ln_get_hyp_body_earth_dist(), ln_get_hyp_body_equ_coords(), ln_get_hyp_body_solar_dist(), ln_get_hyp_geo_rect_posn(), ln_get_hyp_helio_rect_posn(), ln_get_jupiter_earth_dist(), ln_get_jupiter_equ_coords(), ln_get_lunar_earth_dist(), ln_get_lunar_ecl_coords(), ln_get_lunar_geo_posn(), ln_get_mars_earth_dist(), ln_get_mars_equ_coords(), ln_get_mercury_earth_dist(), ln_get_mercury_equ_coords(), ln_get_neptune_earth_dist(), ln_get_neptune_equ_coords(), ln_get_par_body_earth_dist(), ln_get_par_body_equ_coords(), ln_get_par_body_solar_dist(), ln_get_par_geo_rect_posn(), ln_get_par_helio_rect_posn(), ln_get_pluto_earth_dist(), ln_get_pluto_equ_coords(), ln_get_rect_from_helio(), ln_get_saturn_earth_dist(), ln_get_saturn_equ_coords(), ln_get_solar_geo_coords(), ln_get_uranus_earth_dist(), ln_get_uranus_equ_coords(), ln_get_venus_earth_dist(), and ln_get_venus_equ_coords().

double ln_rect_posn::Z

Rectangular Z coordinate

Referenced by ln_get_ecl_from_rect(), ln_get_ell_body_earth_dist(), ln_get_ell_body_equ_coords(), ln_get_ell_body_solar_dist(), ln_get_ell_geo_rect_posn(), ln_get_ell_helio_rect_posn(), ln_get_hyp_body_earth_dist(), ln_get_hyp_body_equ_coords(), ln_get_hyp_body_solar_dist(), ln_get_hyp_geo_rect_posn(), ln_get_hyp_helio_rect_posn(), ln_get_jupiter_earth_dist(), ln_get_jupiter_equ_coords(), ln_get_lunar_earth_dist(), ln_get_lunar_ecl_coords(), ln_get_lunar_geo_posn(), ln_get_mars_earth_dist(), ln_get_mars_equ_coords(), ln_get_mercury_earth_dist(), ln_get_mercury_equ_coords(), ln_get_neptune_earth_dist(), ln_get_neptune_equ_coords(), ln_get_par_body_earth_dist(), ln_get_par_body_equ_coords(), ln_get_par_body_solar_dist(), ln_get_par_geo_rect_posn(), ln_get_par_helio_rect_posn(), ln_get_pluto_earth_dist(), ln_get_pluto_equ_coords(), ln_get_rect_from_helio(), ln_get_saturn_earth_dist(), ln_get_saturn_equ_coords(), ln_get_solar_geo_coords(), ln_get_uranus_earth_dist(), ln_get_uranus_equ_coords(), ln_get_venus_earth_dist(), and ln_get_venus_equ_coords().